For the complete documentation index, see llms.txt. This page is also available as Markdown.

Returns endpoints

Get return configuration

get

Returns the current return configuration for the tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Return Configuration

application/json

LocalizedReturnConfiguration

activebooleanRequiredDeprecated

Enable or disable legacy returns. Use returnTypeConfiguration instead

Default: trueExample: true
allowTriggerRefundbooleanOptional

If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.

Default: false
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2026-06-17T12:00:00.000Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2026-06-17T12:00:00.000Z
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
get/api/configurations/return
GET /api/configurations/return HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "allowTriggerRefund": false,
  "availableDecisionReasons": [
    {
      "reasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "context": [
        {
          "type": "ITEM_RETURN_LINE_ITEM_STATUS",
          "values": [
            "ACCEPTED"
          ]
        }
      ],
      "reason": "Item damaged"
    }
  ],
  "availableItemConditions": [
    {
      "conditionLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "condition": "Damaged"
    }
  ],
  "availableReturnReasons": [
    {
      "reasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "identifier": "A",
      "reason": "Damaged"
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "returnTypeConfiguration": {
    "type": "RETURN"
  },
  "version": 1
}

Create return note

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
localestringOptional

Provide the localized values for the return note. If not provided the default locale is used. For example de_DE.

Body

ReturnNote

qrCodeContentstringOptional
Responses
201

Successfully created the return note.

application/pdf

ReturnNote

qrCodeContentstringOptional
post/api/returnnotes
POST /api/returnnotes HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 744

{
  "companyAddress": {
    "city": "Langenfeld",
    "country": "Germany",
    "houseNumber": "42a",
    "name": "OC fulfillment GmbH",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "deliveryAddress": {
    "city": "Langenfeld",
    "companyName": "OC Fulfillment GmbH",
    "firstName": "Maxine",
    "houseNumber": "42a",
    "lastName": "Muller",
    "personalTitle": "Prof.",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "deliveryAddresses": [
    {
      "city": "Langenfeld",
      "companyName": "OC Fulfillment GmbH",
      "firstName": "Maxine",
      "houseNumber": "42a",
      "lastName": "Muller",
      "personalTitle": "Prof.",
      "postalCode": "40764",
      "street": "Hauptstr."
    }
  ],
  "items": [
    {
      "id": "text",
      "quantity": 1,
      "substitutes": "text",
      "title": "text"
    }
  ],
  "orderInformation": {
    "orderDate": "2020-02-03T08:45:50.525Z",
    "orderNumber": "R456728546"
  },
  "qrCodeContent": "text"
}
{
  "companyAddress": {
    "city": "Langenfeld",
    "country": "Germany",
    "houseNumber": "42a",
    "name": "OC fulfillment GmbH",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "deliveryAddress": {
    "city": "Langenfeld",
    "companyName": "OC Fulfillment GmbH",
    "firstName": "Maxine",
    "houseNumber": "42a",
    "lastName": "Muller",
    "personalTitle": "Prof.",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "deliveryAddresses": [
    {
      "city": "Langenfeld",
      "companyName": "OC Fulfillment GmbH",
      "firstName": "Maxine",
      "houseNumber": "42a",
      "lastName": "Muller",
      "personalTitle": "Prof.",
      "postalCode": "40764",
      "street": "Hauptstr."
    }
  ],
  "items": [
    {
      "id": "text",
      "quantity": 1,
      "substitutes": "text",
      "title": "text"
    }
  ],
  "orderInformation": {
    "orderDate": "2020-02-03T08:45:50.525Z",
    "orderNumber": "R456728546"
  },
  "qrCodeContent": "text"
}

Call item return action

post

Applies an action to an Item Return. Check ItemReturnActionsParameters for available actions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
itemReturnIdstringRequired
Body
or
or
or
or
or
or
Responses
200

Updated entity

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringRequired
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
post/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/actions
POST /api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "itemReturnJobVersion": 1,
  "name": "AnnounceItemReturn"
}
{
  "anonymized": false,
  "consumerAddresses": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "lastModified": "2026-06-17T12:00:00.000Z",
  "notReturnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "originFacilityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "processRef": "text",
  "returnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "shortId": "AS12",
  "status": "OPEN",
  "tenantOrderId": "text",
  "version": 1
}

Get return note config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Return note config could be found in response body.

application/json

Return Note Configuration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
displayPageLabelbooleanOptional

Determines if the page label should be shown

Default: false
idstringRequiredExample: delivery-note
logoUrlstringOptional
get/api/configurations/returnnote
GET /api/configurations/returnnote HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "articleIdLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "articleTitleLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "companyAddress": {
    "city": "Langenfeld",
    "country": "Germany",
    "houseNumber": "42a",
    "name": "OC fulfillment GmbH",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "disclaimer": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "disclaimerHeadline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "displayPageLabel": false,
  "headline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "id": "delivery-note",
  "logoUrl": "text",
  "orderDateLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "orderNumberLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "pageLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "pdfBackgroundConfiguration": {
    "firstPageBackgroundFileUrl": "text",
    "followingPageBackgroundFileUrl": "text"
  },
  "quantityLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonExplanation": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonExplanationHeadline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "substituteText": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Update return note config

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ReturnNoteConfigurationForUpsert

displayPageLabelbooleanOptional

Determines if the page label should be shown

Default: false
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
200

The return note configuration was successfully updated.

application/json

Return Note Configuration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
displayPageLabelbooleanOptional

Determines if the page label should be shown

Default: false
idstringRequiredExample: delivery-note
logoUrlstringOptional
put/api/configurations/returnnote
PUT /api/configurations/returnnote HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4378

{
  "articleIdLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "articleTitleLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "companyAddress": {
    "city": "Langenfeld",
    "country": "Germany",
    "houseNumber": "42a",
    "name": "OC fulfillment GmbH",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "disclaimer": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "disclaimerHeadline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "displayPageLabel": false,
  "headline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "logo": {
    "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
    "name": "example.pdf"
  },
  "orderDateLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "orderNumberLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "pageLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "pdfBackgroundConfiguration": {
    "firstPageBackgroundFile": {
      "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
      "name": "example.pdf"
    },
    "followingPageBackgroundFile": {
      "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
      "name": "example.pdf"
    }
  },
  "quantityLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonExplanation": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonExplanationHeadline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "substituteText": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "version": 42
}
{
  "articleIdLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "articleTitleLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "companyAddress": {
    "city": "Langenfeld",
    "country": "Germany",
    "houseNumber": "42a",
    "name": "OC fulfillment GmbH",
    "postalCode": "40764",
    "street": "Hauptstr."
  },
  "disclaimer": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "disclaimerHeadline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "displayPageLabel": false,
  "headline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "id": "delivery-note",
  "logoUrl": "text",
  "orderDateLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "orderNumberLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "pageLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "pdfBackgroundConfiguration": {
    "firstPageBackgroundFileUrl": "text",
    "followingPageBackgroundFileUrl": "text"
  },
  "quantityLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonExplanation": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonExplanationHeadline": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "returnReasonLabel": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "substituteText": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Get item return

get

Returns a specific item return for a given item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
itemReturnIdstringRequired

id of the item return you want to read

Responses
200

Get a specific item return

application/json

ItemReturn

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
parcelRefsstring[] · max: 50Optional

references the parcel

Example: 672f3f72-b5d3-47c7-941c-9af5348e3cd7
returnFacilityRefstringRequired
scannableCodesstring[] · max: 50Optional
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptionalDeprecated

deprecated: will be automatically deducted from related itemReturnJob

Example: MY_ORDER_ID
get/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}
GET /api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2020-02-03T08:45:51.525Z",
  "customAttributes": {},
  "id": "text",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
  "returnedLineItems": [
    {
      "itemConditionLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "customAttributes": {},
      "decisionReason": {
        "reasonLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "comment": "Upper corner damaged",
        "reason": "text"
      },
      "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
      "itemCondition": "Damaged",
      "itemConditionComment": "Upper corner damaged",
      "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
      "reasons": [
        {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged",
          "reason": "text"
        }
      ],
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "refund": {
        "percent": 80.6,
        "price": {
          "currency": "EUR",
          "value": 20.55
        },
        "status": "OPEN"
      },
      "scannedCodes": [
        "text"
      ],
      "status": "OPEN",
      "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
    }
  ],
  "returnedNotReturnableLineItems": [
    {
      "itemConditionLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "customAttributes": {},
      "decisionReason": {
        "reasonLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "comment": "Upper corner damaged",
        "reason": "text"
      },
      "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
      "itemCondition": "Damaged",
      "itemConditionComment": "Upper corner damaged",
      "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
      "reasons": [
        {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged",
          "reason": "text"
        }
      ],
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannedCodes": [
        "text"
      ],
      "status": "OPEN",
      "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
    }
  ],
  "returnFacilityRef": "text",
  "scannableCodes": [
    "text"
  ],
  "status": "ANNOUNCED"
}

Update returned line items

put

Replace returned line items of an item return of an item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
itemReturnIdstringRequired
Body

ReplaceReturnedLineItems

itemReturnJobVersionintegerRequired

Version of the entity to be changed

Example: 1
Responses
200

The returned line items were successfully updated. Updated item return job is returned.

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringRequired
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
put/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/returnedlineitems
PUT /api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/returnedlineitems HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 878

{
  "itemReturnJobVersion": 1,
  "returnedLineItems": [
    {
      "itemConditionLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "customAttributes": {},
      "decisionReason": {
        "reasonLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "comment": "Upper corner damaged"
      },
      "itemConditionComment": "Upper corner damaged",
      "itemReturnJobLineItemRef": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
      "reasons": [
        {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged",
          "reason": "text"
        }
      ],
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "recordingRule": "MANDATORY",
          "validations": [
            {
              "allowedValues": [
                {
                  "type": "STRING"
                }
              ],
              "type": "EXACT_MATCH"
            }
          ],
          "value": "Germany"
        }
      ],
      "scannedCodes": [
        "text"
      ],
      "status": "OPEN",
      "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
    }
  ]
}
{
  "anonymized": false,
  "consumerAddresses": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "lastModified": "2026-06-17T12:00:00.000Z",
  "notReturnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "originFacilityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "processRef": "text",
  "returnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "shortId": "AS12",
  "status": "OPEN",
  "tenantOrderId": "text",
  "version": 1
}

List item returns

get

Returns the item returns for a given item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
Responses
200

Get all item returns for a given item return job

application/json

ItemReturn

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
parcelRefsstring[] · max: 50Optional

references the parcel

Example: 672f3f72-b5d3-47c7-941c-9af5348e3cd7
returnFacilityRefstringRequired
scannableCodesstring[] · max: 50Optional
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptionalDeprecated

deprecated: will be automatically deducted from related itemReturnJob

Example: MY_ORDER_ID
get/api/itemreturnjobs/{itemReturnJobId}/itemreturns
GET /api/itemreturnjobs/{itemReturnJobId}/itemreturns HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "created": "2020-02-03T08:45:51.525Z",
    "customAttributes": {},
    "id": "text",
    "lastModified": "2020-02-03T09:45:51.525Z",
    "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
    "returnedLineItems": [
      {
        "itemConditionLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "decisionReason": {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged",
          "reason": "text"
        },
        "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
        "itemCondition": "Damaged",
        "itemConditionComment": "Upper corner damaged",
        "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
        "reasons": [
          {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          }
        ],
        "recordableAttributes": [
          {
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "group": "general",
            "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
            "key": "country of origin",
            "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
            "recordingRule": "MANDATORY",
            "value": "Germany"
          }
        ],
        "refund": {
          "percent": 80.6,
          "price": {
            "currency": "EUR",
            "value": 20.55
          },
          "status": "OPEN"
        },
        "scannedCodes": [
          "text"
        ],
        "status": "OPEN",
        "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
      }
    ],
    "returnedNotReturnableLineItems": [
      {
        "itemConditionLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "decisionReason": {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged",
          "reason": "text"
        },
        "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
        "itemCondition": "Damaged",
        "itemConditionComment": "Upper corner damaged",
        "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
        "reasons": [
          {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          }
        ],
        "recordableAttributes": [
          {
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "group": "general",
            "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
            "key": "country of origin",
            "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
            "recordingRule": "MANDATORY",
            "value": "Germany"
          }
        ],
        "scannedCodes": [
          "text"
        ],
        "status": "OPEN",
        "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
      }
    ],
    "returnFacilityRef": "text",
    "scannableCodes": [
      "text"
    ],
    "status": "ANNOUNCED"
  }
]

Get item return job

get

Returns an item return job with the provided id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
Responses
200

Returns Item Return Job with the provided id

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringRequired
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
get/api/itemreturnjobs/{itemReturnJobId}
GET /api/itemreturnjobs/{itemReturnJobId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "anonymized": false,
  "consumerAddresses": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "lastModified": "2026-06-17T12:00:00.000Z",
  "notReturnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "originFacilityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "processRef": "text",
  "returnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "shortId": "AS12",
  "status": "OPEN",
  "tenantOrderId": "text",
  "version": 1
}

Get item returns

get

Returns the item returns matching the given parameters.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchTermstringOptional

Search term you want to get the corresponding item returns. Search will be performed on multiple fields, including return id, tenant order id, customer name, tenant article ids, artile titles

itemReturnStatusstring[]Optional

ItemReturnStatus of an included ItemReturn to filter the results

itemReturnLineItemStatusstring[]Optional

ItemReturnLineItemStatus of an included itemReturnLineItem to filter the results

sizeintegerOptional

number of entities to show

startAfterIdstringOptional

entity to start after

orderBystringOptional

sorting for the results

anonymizedbooleanOptional

show anonymized entities or not

facilityRefsstring[]Optional

facilities to filter the results

Responses
200

All Item Returns matching the given parameters

application/json

ItemReturns

totalCountnumberRequired

Total number of found entities for this query

Example: 42
get/api/itemreturns
GET /api/itemreturns HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "searchPaths": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "totalCount": 42
}

Update returned line item

patch

Patch for a ItemReturn LineItem. This is used to update the returned line item.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
itemReturnIdstringRequired
returnedLineItemIdstringRequired

id of the returnedLineItem

Body

ItemReturnLineItemForUpdate

itemReturnJobVersionintegerRequired

version of the overlaying itemReturnJob

Example: 42
statusstring · enumOptionalPossible values:
Responses
200

Updated ItemReturnJob

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringRequired
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
patch/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/returnedlineitems/{returnedLineItemId}
PATCH /api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/returnedlineitems/{returnedLineItemId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 256

{
  "decisionReason": {
    "reasonLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "comment": "Upper corner damaged"
  },
  "itemReturnJobVersion": 42,
  "refund": {
    "percent": 80.6,
    "price": {
      "currency": "EUR",
      "value": 20.55
    },
    "status": "OPEN"
  },
  "status": "OPEN"
}
{
  "anonymized": false,
  "consumerAddresses": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "lastModified": "2026-06-17T12:00:00.000Z",
  "notReturnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "originFacilityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "processRef": "text",
  "returnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "shortId": "AS12",
  "status": "OPEN",
  "tenantOrderId": "text",
  "version": 1
}

Create item return

post

Create a new item return for an item return job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
Body

AddItemReturnToItemReturnJob

itemReturnJobVersionintegerRequired

Version of the itemReturnJob the itemReturn gets added to

Example: 1
Responses
200

ItemReturnJob containing the newly created item return

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringRequired
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
post/api/itemreturnjobs/{itemReturnJobId}/itemreturns
POST /api/itemreturnjobs/{itemReturnJobId}/itemreturns HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1843

{
  "itemReturnForCreation": {
    "returnedLineItems": [
      {
        "itemConditionLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "decisionReason": {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged"
        },
        "itemConditionComment": "Upper corner damaged",
        "itemReturnJobLineItemRef": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
        "reasons": [
          {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          }
        ],
        "recordableAttributes": [
          {
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "group": "general",
            "recordingRule": "MANDATORY",
            "validations": [
              {
                "allowedValues": [
                  {
                    "type": "STRING"
                  }
                ],
                "type": "EXACT_MATCH"
              }
            ],
            "value": "Germany"
          }
        ],
        "scannedCodes": [
          "text"
        ],
        "status": "OPEN",
        "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
      }
    ],
    "returnedNotReturnableLineItems": [
      {
        "itemConditionLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "decisionReason": {
          "reasonLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "comment": "Upper corner damaged"
        },
        "itemConditionComment": "Upper corner damaged",
        "itemReturnJobLineItemRef": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
        "reasons": [
          {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          }
        ],
        "recordableAttributes": [
          {
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "group": "general",
            "recordingRule": "MANDATORY",
            "validations": [
              {
                "allowedValues": [
                  {
                    "type": "STRING"
                  }
                ],
                "type": "EXACT_MATCH"
              }
            ],
            "value": "Germany"
          }
        ],
        "scannedCodes": [
          "text"
        ],
        "status": "OPEN",
        "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
      }
    ],
    "returnFacilityRef": "text",
    "scannableCodes": [
      "text"
    ],
    "status": "ANNOUNCED"
  },
  "itemReturnJobVersion": 1
}
{
  "anonymized": false,
  "consumerAddresses": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "lastModified": "2026-06-17T12:00:00.000Z",
  "notReturnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "originFacilityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "processRef": "text",
  "returnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "shortId": "AS12",
  "status": "OPEN",
  "tenantOrderId": "text",
  "version": 1
}
Deprecated

Delete item return

delete

This part of the API is deprecated. For details, see the API release lifecycle documentation. Delete an item return from an item return job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired
itemReturnIdstringRequired

id of the item return you want to delete

Query parameters
itemReturnJobVersionnumberRequired

version of the item return job to delete the item return for

Responses
200

item return was found and successfully deleted. Updated item return job is returned.

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeOptional

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringRequired
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
versionintegerRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 1
delete/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}
DELETE /api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}?itemReturnJobVersion=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "anonymized": false,
  "consumerAddresses": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "itemReturns": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "id": "text",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "parcelRefs": "672f3f72-b5d3-47c7-941c-9af5348e3cd7",
      "returnedLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "refund": {
            "percent": 80.6,
            "price": {
              "currency": "EUR",
              "value": 20.55
            },
            "status": "OPEN"
          },
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnedNotReturnableLineItems": [
        {
          "itemConditionLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "customAttributes": {},
          "decisionReason": {
            "reasonLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "comment": "Upper corner damaged",
            "reason": "text"
          },
          "id": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "itemCondition": "Damaged",
          "itemConditionComment": "Upper corner damaged",
          "itemReturnJobLineItemRefs": "a69006ba-7100-4b4d-a610-1ca28016a4eb",
          "reasons": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "Upper corner damaged",
              "reason": "text"
            }
          ],
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannedCodes": [
            "text"
          ],
          "status": "OPEN",
          "tenantArticleId": "a69006ba-7100-4b4d-a610-1ca28016a4eb"
        }
      ],
      "returnFacilityRef": "text",
      "scannableCodes": [
        "text"
      ],
      "status": "ANNOUNCED"
    }
  ],
  "lastModified": "2026-06-17T12:00:00.000Z",
  "notReturnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "originFacilityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "processRef": "text",
  "returnableLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "delivered": 7,
      "globalLineItemId": "text",
      "id": "611c860f-3f00-4b01-9f4c-64cdee38a30e",
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "returnable": 7,
      "returned": 5,
      "scannableCodes": [
        "text"
      ],
      "serviceJobRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "stickers": [],
      "tags": []
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "shortId": "AS12",
  "status": "OPEN",
  "tenantOrderId": "text",
  "version": 1
}

Get pack job return note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the PackJob

Query parameters
localestringOptional

Provide the localized values for the delivery note. If not provided the default locale is used. For example de_DE.

Responses
200

Returns a return note for the packjob.

application/pdf
get/api/packjobs/{packJobId}/returnnote
GET /api/packjobs/{packJobId}/returnnote HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Get pick job return note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickjobIdstringRequired

ID of the Pickjob

Responses
200

Returns a return note for the pickjob.

application/pdf
get/api/pickjobs/{pickjobId}/returnnote
GET /api/pickjobs/{pickjobId}/returnnote HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Create item return job

post

Creates a new item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ItemReturnJobForCreation

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

originFacilityRefsstring[] · max: 50RequiredExample: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
processRefstringOptional
scannableCodesstring[] · max: 50Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequiredPossible values:
tenantOrderIdstringOptional
Responses
200

Created entity

application/json

ItemReturnJob

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeOptional

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

[...]
